public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Hans de Graaff" <graaff@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ruby/nexpose/
Date: Wed, 29 Mar 2017 04:57:15 +0000 (UTC)	[thread overview]
Message-ID: <1490763395.7ef2cd8eb53bd0fec671ed315b7ebb290f4a6d87.graaff@gentoo> (raw)

commit:     7ef2cd8eb53bd0fec671ed315b7ebb290f4a6d87
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Wed Mar 29 04:56:35 2017 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Wed Mar 29 04:56:35 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7ef2cd8e

dev-ruby/nexpose: add 5.3.2

Add documentation and tests.

Package-Manager: Portage-2.3.3, Repoman-2.3.1

 dev-ruby/nexpose/Manifest             |  1 +
 dev-ruby/nexpose/nexpose-5.3.2.ebuild | 36 +++++++++++++++++++++++++++++++++++
 2 files changed, 37 insertions(+)

diff --git a/dev-ruby/nexpose/Manifest b/dev-ruby/nexpose/Manifest
index c22ae1e52d6..ca8fd92c122 100644
--- a/dev-ruby/nexpose/Manifest
+++ b/dev-ruby/nexpose/Manifest
@@ -1 +1,2 @@
 DIST nexpose-5.3.1.gem 98816 SHA256 995e0b73ec6e18c92e82286112f0988c8416337e1f6a8fe34d70a943ba636691 SHA512 a082198f3b94ba72d24e1c617d4fe3fff5ec0bda15664b7839c4dce982f5ca619e004695265b8d6a9e0f9a516d54f017c82e7a20c5215be340cb063e0b9f4258 WHIRLPOOL a951ce65257eebf08e8386fe941829cb05aa2d2ba1983ce7917e9e794b15c6e29f8df552adaa9c8dc409a82874c10a64e61d6c174031b76b4502a2cc34f98194
+DIST nexpose-5.3.2.tar.gz 111862 SHA256 7fc4d558c1adce9ac6699db54b34929ece276fddb65bfba81edd78c26b37cfa7 SHA512 7a79a796e853cfe0d5e3f61b969903f3ecf033914a8caaccb4ff175774ab2ec187a2b7c106f91d82e65edc35fab98621c1ae831017268fde2e8714c45346f4b6 WHIRLPOOL 9888594edfed90c0c90dd7f0d5974fef1062b831d7b0752a595e33b0a0f851052f40b5540989ed9aab8ee7873cba66955cedad1908b747a78f564c1800a211ff

diff --git a/dev-ruby/nexpose/nexpose-5.3.2.ebuild b/dev-ruby/nexpose/nexpose-5.3.2.ebuild
new file mode 100644
index 00000000000..66d3512afc2
--- /dev/null
+++ b/dev-ruby/nexpose/nexpose-5.3.2.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=5
+
+USE_RUBY="ruby21 ruby22 ruby23"
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+
+RUBY_FAKEGEM_RECIPE_DOC="rdoc"
+RUBY_FAKEGEM_EXTRADOC="README.markdown"
+
+RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="API client for Nexpose vulnerability managment product"
+HOMEPAGE="https://github.com/rapid7/nexpose-client https://rubygems.org/gems/nexpose"
+SRC_URI="https://github.com/rapid7/nexpose-client/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+RUBY_S="${PN}-client-${PV}"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE=""
+
+ruby_add_bdepend "test? (
+	dev-ruby/vcr:2
+	dev-ruby/webmock:0
+)"
+
+all_ruby_prepare() {
+	sed -i -e '/\(codeclimate\|simplecov\)/ s:^:#:' \
+		-e '/SimpleCov/,/^]/ s:^:#:' \
+		-e '1irequire "nexpose"' spec/spec_helper.rb || die
+}


             reply	other threads:[~2017-03-29  4:57 UTC|newest]

Thread overview: 7+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2017-03-29  4:57 Hans de Graaff [this message]
  -- strict thread matches above, loose matches on Subject: below --
2021-04-10  6:17 [gentoo-commits] repo/gentoo:master commit in: dev-ruby/nexpose/ Hans de Graaff
2018-12-15  7:42 Hans de Graaff
2018-09-11  4:50 Hans de Graaff
2018-06-28  6:05 Hans de Graaff
2018-02-07  6:30 Hans de Graaff
2017-03-17 13:25 Manuel RĂ¼ger

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1490763395.7ef2cd8eb53bd0fec671ed315b7ebb290f4a6d87.graaff@gentoo \
    --to=graaff@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox